/*
  qgmap.h
  Copyright (C) 2008 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __QGMAP_H__
#define __QGMAP_H__

#define IMAGE_SIZE 256

#define MIN(a,b) ((a)>(b)?(b):(a))
#define MAX(a,b) ((a)>(b)?(a):(b))

#define KEY_SCROLL 10
#define SHIFT_MUL 10

#ifdef QWS
#define APP_PATH "/opt/QtPalmtop/share/qgmap/"
#else
#define APP_PATH "./img/"
#endif

#define NOIMG_FILE APP_PATH "/noimage.png"
#define MENUIMG_FILE APP_PATH "/menuicon.png"
#define SLIDERIMG_FILE APP_PATH "/slider.png"
#define NOBIMG_FILE APP_PATH "/nob.png"

#define DEFAULT_MAP_PATH "/mnt/card/gm_lite/imgs"

#define PI 3.14159265358979
#define EARTH_RA 6378137
#define EARTH_RB 6356752

#define SCALE_MAX_SIZE 100
#define SCALE_FONT_SIZE 16

#endif // __QGMAP_H__
