/*
  scale.h
  Copyright (C) 2008 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __SCALE_H__
#define __SCALE_H__

class QPixmap;
class QString;
class QPaintEvent;
class Pos;

class Scale{
  public:
	Scale(QPixmap *pix, Pos *center);
	bool paintEvent(QPaintEvent *e);
	bool pressEvent(QMouseEvent *e);
	bool releaseEvent(QMouseEvent *e);
	bool moveEvent(QMouseEvent *e);
	QRect rect();
	QPoint topLeft();

  private:
	void loadImage();

	QPixmap *scr;
	Pos *center;
	QPixmap slider;
	QPixmap nob;

	bool is_button;

	const QPoint slider_base;
	const QPoint nob_center;
	const QPoint slider_mul;
};

#endif // __SCALE_H__
